/*
 *  Tcpjunk - TCP protocols testing tool
 *  Contact: oferkv@gmail.com
 *
 *  Tcpjunk is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the
 *  Free Software Foundation; either version 2, or (at your option) any
 *  later version.
 *
 *  Tcpjunk is distributed in the hope that it will be useful, but WITHOUT
 *  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 *  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 *  for more details.
 */

#ifndef GUI_H
#define GUI_H

#include <gtk/gtk.h>

struct gui_elements
  {
	GtkWidget *window;
	GtkWidget *host_entry;
	GtkWidget *port_entry;
	GtkWidget *sport_entry;
	GtkWidget *conn_to_entry;
	GtkWidget *sess_to_entry;
	GtkWidget *repeat_entry;
	GtkWidget *syntax_entry;
	GtkWidget *sip_entry;
	GtkWidget *ipint_entry;
	GtkWidget *srs_entry;
	GtkWidget *srd_entry;
	GtkWidget *session_log_text;
	GtkWidget *status_text;
	GtkWidget *connect_butt;
	GtkWidget *accept_butt;
	GtkWidget *ses_tabs;
	GtkWidget *open_mi;
	GtkWidget *ipv4_tog;
	GtkWidget *ipv6_tog;
	GtkWidget *ssl_tog;
	GtkWidget *sett_tog;
	GtkWidget *settings_box;
	GtkWidget *file_menu;
	char *cur_folder;
	int auto_scroll;
	int auto_clearstat;
	int gui_listen_sock;
	int listening;
	char font_string[128];
  };

void gui_init(int argc, char *argv[], struct tj_data *gui_inst_data);
void gui_show_traffic(char *buf, int buf_len, int color,
	struct tj_data *gui_inst_data);
void gui_add_log(const char *message, int color);
void gui_accept(struct tj_data *gui_inst_data);

#endif

